LotusChartInternal::Chart Class Reference documentation

Classes | Public Member Functions | Public Attributes | Protected Attributes | List of all members
LotusChartInternal::Chart Class Referencefinal

the chart of a Lotus Pro Dos More...

Inheritance diagram for LotusChartInternal::Chart:

## Classes
struct | SerieFormat
| wk3 serie format More...

## Public Member Functions
| Chart (LotusChart &parser, std::shared_ptr< WPSStream > const &stream)
| constructor
void | sendContent (TextZone const &zone, WPSListenerPtr &listener) const final
| send the zone content (called when the zone is of text type)
Public Member Functions inherited from WKSChart
| WKSChart (Vec2f const &dim=Vec2f())
| the constructor
virtual | ~WKSChart ()
| the destructor
void | sendChart (WKSContentListenerPtr &listener, librevenge::RVNGSpreadsheetInterface *interface) const
| send the chart to the listener
virtual void | sendContent (TextZone const &zone, WPSListenerPtr &listener) const =0
| send the zone content (called when the zone is of text type)
void | setGridColor (WPSColor const &color)
| set the grid color
Axis & | getAxis (int coord)
| return an axis (corresponding to a coord)
Axis const & | getAxis (int coord) const
| return an axis (corresponding to a coord)
Legend const & | getLegend () const
| returns the legend
Legend & | getLegend ()
| returns the legend
Serie * | getSerie (int id, bool create)
| return a serie
std::map< int, Serie > const & | getIdSerieMap () const
| returns the list of defined series
TextZone * | getTextZone (TextZone::Type type, bool create=false)
| returns a textzone content

## Public Attributes
int | m_fileType
| the chart type
bool | m_hasLegend
| a flag to know if we have some legend
bool | m_fileSerieStyles
| a flag to know if we have seen some serie style
SerieFormat | m_serieFormats [6]
| the series format
Public Attributes inherited from WKSChart
Vec2f | m_dimension
| the chart dimension in point
Serie::Type | m_type
| the chart type (if no series)
bool | m_dataStacked
| a flag to know if the data are stacked or not
bool | m_dataPercentStacked
| a flag to know if the data are percent stacked or not
bool | m_dataVertical
| a flag to know if the data are vertical (for bar)
bool | m_is3D
| a flag to know if the graphic is 3D
bool | m_is3DDeep
| a flag to know if real 3D or 2D-extended
WPSGraphicStyle | m_style
| the chart style
librevenge::RVNGString | m_name
| the chart name
WPSBox2f | m_plotAreaPosition
| the plot area dimension in percent
WPSGraphicStyle | m_plotAreaStyle
| the ploat area style
WPSBox2f | m_legendPosition
| the legend dimension in percent
WPSGraphicStyle | m_floorStyle
| floor
WPSGraphicStyle | m_wallStyle
| wall

## Protected Attributes
LotusChart & | m_parser
| the parser
std::shared_ptr< WPSStream > | m_stream
| the input stream
Protected Attributes inherited from WKSChart
WPSColor | m_gridColor
| the grid color
Axis | m_axis [5]
| the x,y,y-second,z and a bad axis
Legend | m_legend
| the legend
std::map< int, Serie > | m_serieMap
| the list of series
std::map< TextZone::Type, TextZone > | m_textZoneMap
| a map text zone type to text zone

## Additional Inherited Members
Protected Member Functions inherited from WKSChart
void | sendTextZoneContent (TextZone::Type type, WPSListenerPtr listener) const
| sends a textzone content

## Detailed Description

the chart of a Lotus Pro Dos

## Constructor & Destructor Documentation

## ◆ Chart()

LotusChartInternal::Chart::Chart | ( | LotusChart & | parser,
|  | std::shared_ptr< WPSStream > const & | stream
| ) |  |
| inlineexplicit

constructor

## Member Function Documentation

## ◆ sendContent()

void LotusChartInternal::Chart::sendContent | ( | TextZone const & | zone,
|  | WPSListenerPtr & | listener
| ) |  | const
| finalvirtual

send the zone content (called when the zone is of text type)

Implements WKSChart.

## Member Data Documentation

## ◆ m_fileSerieStyles

bool LotusChartInternal::Chart::m_fileSerieStyles

a flag to know if we have seen some serie style

Referenced by LotusChart::updateChart().

## ◆ m_fileType

int LotusChartInternal::Chart::m_fileType

the chart type

Referenced by LotusChart::updateChart().

## ◆ m_hasLegend

bool LotusChartInternal::Chart::m_hasLegend

a flag to know if we have some legend

Referenced by LotusChart::updateChart().

## ◆ m_parser

LotusChart& LotusChartInternal::Chart::m_parser
| protected

the parser

Referenced by sendContent().

## ◆ m_serieFormats

SerieFormat LotusChartInternal::Chart::m_serieFormats[6]

the series format

Referenced by LotusChart::updateChart().

## ◆ m_stream

std::shared_ptr<WPSStream> LotusChartInternal::Chart::m_stream
| protected

the input stream

Referenced by sendContent().

The documentation for this class was generated from the following file:

- LotusChart.cpp